org.apache.flume.channel.file.encryption

## Class EncryptionConfiguration

- java.lang.Object
- - org.apache.flume.channel.file.encryption.EncryptionConfiguration

-     public class EncryptionConfiguration
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ACTIVE_KEY` Encryption key alias, default is null.
    `static String` | `CIPHER_PROVIDER` Encryption cipher provider, default is null.
    `static String` | `ENCRYPTION_PREFIX`
    `static String` | `JCE_FILE_KEY_PASSWORD_FILE` Path to key password file is: keys.aliasName.passwordFile
    `static String` | `JCE_FILE_KEY_STORE_FILE` Path to a jceks key store
    `static String` | `JCE_FILE_KEY_STORE_PASSWORD_FILE` Path to a jceks key store password file
    `static String` | `JCE_FILE_KEYS` Space separated list of keys which are needed for the current set of logs plus the one specified in keyAlias
    `static String` | `KEY_PROVIDER` Encryption key provider, default is null.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ENCRYPTION_PREFIX

          public static final String ENCRYPTION_PREFIX

      See Also:
        Constant Field Values

    - #### KEY_PROVIDER

          public static final String KEY_PROVIDER

      Encryption key provider, default is null.
      See Also:
        Constant Field Values

    - #### ACTIVE_KEY

          public static final String ACTIVE_KEY

      Encryption key alias, default is null.
      See Also:
        Constant Field Values

    - #### CIPHER_PROVIDER

          public static final String CIPHER_PROVIDER

      Encryption cipher provider, default is null.
      See Also:
        Constant Field Values

    - #### JCE_FILE_KEYS

          public static final String JCE_FILE_KEYS

      Space separated list of keys which are needed for the current set of logs plus the one specified in keyAlias
      See Also:
        Constant Field Values

    - #### JCE_FILE_KEY_PASSWORD_FILE

          public static final String JCE_FILE_KEY_PASSWORD_FILE

      Path to key password file is: keys.aliasName.passwordFile
      See Also:
        Constant Field Values

    - #### JCE_FILE_KEY_STORE_FILE

          public static final String JCE_FILE_KEY_STORE_FILE

      Path to a jceks key store
      See Also:
        Constant Field Values

    - #### JCE_FILE_KEY_STORE_PASSWORD_FILE

          public static final String JCE_FILE_KEY_STORE_PASSWORD_FILE

      Path to a jceks key store password file
      See Also:
        Constant Field Values

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.